Reklam

Çizim Paylaş

Bülten Aboneliği
*  E-posta adresiniz:



* Güvenlik kodu:
Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] [45] [50] [55] [60] [65] [70] [75] [80] > 85 <
İleti Yazar
04.10.2017 16:32
85582    
BLack|E

[8] Kıdemli Uzman

Online Durumu

114 ileti
Teknik Ressam
ANKARA

Çok teşekkür ederim.

_____________________
M.Ertan KIRTIL
Teknik Ressam
Konstrüktör

04.10.2017 18:18
85584    
seboli61

[8] Kıdemli Uzman

Online Durumu

155 ileti
Teknik Ressam
istanbul

Altta paylaştığım lisp fieldli olan her şeyi bozuyor ama içerik olduğu gibi kalıyor. Benim sıkıntım toplu halde seçemiyorum hata veriyor illaki tek tek seçmem gerekiyor. Bunu düzeltebilecek biri var mı ?

Kod:

(vl-load-com)
(defun c:FLD2TXT (/ ss n bn an ad s)
  (prompt
    "Select the objects you wish to remove the field links from: "
  ) ;_ end of prompt
  (setq ss (ssget '((0 . "INSERT,MTEXT,DIMENSION,TEXT,MULTILEADER")))) ;Get selection set from user
  (setq n 0) ;Initialize counter
  ;; Step through selection set one entity at a time
  (while (< n (sslength ss))
    (setq bn (ssname ss n)) ;Get the nth entity in the selection set
    (setq ad (entget bn)) ;Get the entity's data
    (cond
      ((= "INSERT" (cdr (assoc 0 ad))) ;Check if block
       (setq an (entnext bn)) ;Get the next enity after bn
       ;; Step through each next entity until it is not an attribute
       (while (and an ;Check if entity is found
                   (setq ad (entget an)) ;Get data
                   (= "ATTRIB" (cdr (assoc 0 ad))) ;Check if attribute
              ) ;_ end of and
         (setq s (cdr (assoc 1 ad))) ;Get text value
         (entmod (list (assoc -1 ad) (cons 1 ""))) ;Modify the entity
         (entmod (list (assoc -1 ad) (cons 1 s))) ;Modify the entity
         (entupd an) ;Update screen to show change
         (setq an (entnext an)) ;Get next entity
       ) ;_ end of while
      )
      ((= "MULTILEADER" (cdr (assoc 0 ad))) ;Check if block
       (setq ad (vlax-ename->vla-object bn)
             s (vla-get-TextString ad)
             )
       (vla-put-TextString ad "")
       (vla-put-TextString ad s)
      )
      ;; Anything else
      (t
       (setq s (cdr (assoc 1 ad))) ;Get text value
       (entmod (list (assoc -1 ad) (cons 1 ""))) ;Modify the entity
       (entmod (list (assoc -1 ad) (cons 1 s))) ;Modify the entity
       (entupd an) ;Update screen to show change
      )
    )
    (setq n (1+ n)) ;Increment counter
  ) ;_ end of while
  (setq ss nil) ;Clear selection set
  (gc) ;Clear unused memory
  (princ)
) ;_ end of defun

05.10.2017 12:53
85585    
Myalem

[2] Girişimci

Online Durumu

7 ileti
Teknik ressam
izmir

( setq ss ( ssget ) n 0 )
( Repeat ( sslength ss )
( setq ss_ky ( cdr ( assoc 0 ( entget ( ssname ss n ) ) ) ) )
( if ( or ( = "INSERT" ss_ky ) ( = "MTEXT" ss_ky ) ( = "DIMENSION" ss_ky ) ( = "TEXT" ss_ky ) ( = "MULTILEADER" ss_ky ) ) ( prog
.......
......
......
( setq n ( + n 1 ) ) ) ) )

Benim aklıma böyle bir çözüm geldi umarım işine yarar.

Teknik Ressam

05.10.2017 15:34
85586    
promise89

[2] Girişimci

Online Durumu

8 ileti
inşaat müh.
ankara

Arkadaşlar merhaba, sizden bir siteğim olacak. Forumda şev eğimlerini atan lisp var, ancak kazı ve dolguyu otomatik tanıyan ve eğim çizgilerinin yönünü ayarlayan şev var mı? Forumdaki özellikle kurp oldu mu çizmiyor ve elle çizmek çok fazla zaman alıyor , düzgünde olmuyor. Bu konuda yardım edebilirseniz çok sevinirim. İyi çalışmalar.

20.10.2017 01:29
85613    
tempuser

[2] Girişimci

Online Durumu

9 ileti
Teknik Ressam
İstanbul

Merhaba, ben referans olarak gösterdiğim arc nesnesinin tüm özelliklerini taşıyan bütün arcları seçicek bir lisp arıyorum (Renk,açı,çap,boy,çizgi tipi,vs ...)

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] [45] [50] [55] [60] [65] [70] [75] [80] > 85 <
Copyright © 2004-2017 | Tüm Hakları Saklıdır | 1095 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam